%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           gnome-sudoku
Version:        0.7.1
Release:        3%{?dist}
Summary:        GNOME based Sudoku, a logic puzzle game

Group:          Amusements/Games
License:        GPL
URL:            http://gnome-sudoku.sourceforge.net
Source0:        http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  pygtk2-libglade
BuildRequires:	gnome-python2-gnomeprint
BuildRequires:	python-imaging
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	intltool
Requires:   python-abi = %(%{__python} -c "import sys ; print sys.version[:3]")
Requires:   gnome-python2-gnomeprint
Requires:   gnome-python2-gconf
Requires:   gnome-python2-canvas
Requires:   python-imaging
Requires:   python-numeric
Requires:   pygtk2-libglade


%description
GNOME Sudoku is a Japanese logic puzzle game.  GNOME Sudoku takes care
to generate valid sudoku -- symmetrical puzzles for which there is a
unique solution.

%prep
%setup -q
grep '^VERSION' src/lib/defaults.py > src/lib/defaults_version.py


%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --vendor fedora \
		     --dir ${RPM_BUILD_ROOT}%{_datadir}/applications \
		     --add-category X-Fedora \
		     ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop
rm -f ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop
%find_lang %{name}

 
%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README
%{python_sitelib}/gnome_sudoku/
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/pixmaps/sudoku.png
%{_datadir}/pixmaps/%{name}/
%{_datadir}/gnome/help/%{name}
%{_bindir}/%{name}


%changelog
* Sat Jan 27 2007 Paul W. Frields <stickster@gmail.com> - 0.7.1-3
- Specfile cleanup

* Thu Jan 25 2007 Paul W. Frields <stickster@gmail.com> - 0.7.1-2
- Specfile cleanup

* Thu Jan 25 2007 Paul W. Frields <stickster@gmail.com> - 0.7.1-1
- Update to 0.7.1 (#221798)

* Fri Sep 15 2006 Paul W. Frields <stickster@gmail.com> - 0.5.0-1
- Update to 0.5.0 (Thanks to Aaron Schlaegel, #204160)

* Sun Jun 18 2006 Paul W. Frields <stickster@gmail.com> - 0.4.0-8
- Add BuildRequires: intltool

* Fri Jun 16 2006 Paul W. Frields <stickster@gmail.com> - 0.4.0-7
- Add BuildRequires: gettext to satisfy new build system

* Mon Apr 10 2006 Paul W. Frields <stickster@gmail.com> - 0.4.0-6
- Correct for boolean problem in spec (#188484)
- Organize Requires in specfile to make future diffs more sane
- Correct missing Requires: pygtk2-libglade (#188549)

* Tue Jan 24 2006 Paul W. Frields <stickster@gmail.com> - 0.4.0-5
- Fix missing Requires: gnome-python2-canvas
- Enable conditional to synchronize spec

* Tue Jan 24 2006 Paul W. Frields <stickster@gmail.com> - 0.4.0-4
- Missing Requires: python-numeric (thanks to Brent Fox) (#178834)

* Fri Dec 16 2005 Paul W. Frields <stickster@gmail.com> - 0.4.0-3
- Fix broken full screen option

* Fri Dec 16 2005 Paul W. Frields <stickster@gmail.com> - 0.4.0-2
- Fix missing Requires: gnome-python2-gconf (thanks to Paul Dickson) (#175911)

* Thu Dec 15 2005 Paul W. Frields <stickster@gmail.com> - 0.4.0-1
- Update to 0.4.0

* Sun Dec 11 2005 Paul W. Frields <stickster@gmail.com> - 0.3.4-1
- Fix to fedora-rpmdevtools standards

* Sat Dec  3 2005 Paul W. Frields <stickster@gmail.com> - 0.3.4-0.9
- Initial RPM version.
